"SfR Fresh" - the SfR Freeware/Shareware Archive

Member "pms-0.94/config.status" of archive pms-0.94.tar.gz:


As a special service "SfR Fresh" has tried to format the requested source page into HTML format using source code syntax highlighting with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. That can be also achieved for any archive member file by clicking within an archive contents listing on the first character of the file(path) respectively on the according byte size field.
    1 #! /bin/sh
    2 # Generated by configure.
    3 # Run this file to recreate the current configuration.
    4 # Compiler output produced by configure, useful for debugging
    5 # configure, is in config.log if it exists.
    6 
    7 debug=false
    8 SHELL=${CONFIG_SHELL-/bin/sh}
    9 
   10 ## --------------------- ##
   11 ## M4sh Initialization.  ##
   12 ## --------------------- ##
   13 
   14 # Be Bourne compatible
   15 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
   16   emulate sh
   17   NULLCMD=:
   18 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
   19   set -o posix
   20 fi
   21 
   22 # NLS nuisances.
   23 # Support unset when possible.
   24 if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
   25   as_unset=unset
   26 else
   27   as_unset=false
   28 fi
   29 
   30 (set +x; test -n "`(LANG=C; export LANG) 2>&1`") &&
   31     { $as_unset LANG || test "${LANG+set}" != set; } ||
   32       { LANG=C; export LANG; }
   33 (set +x; test -n "`(LC_ALL=C; export LC_ALL) 2>&1`") &&
   34     { $as_unset LC_ALL || test "${LC_ALL+set}" != set; } ||
   35       { LC_ALL=C; export LC_ALL; }
   36 (set +x; test -n "`(LC_TIME=C; export LC_TIME) 2>&1`") &&
   37     { $as_unset LC_TIME || test "${LC_TIME+set}" != set; } ||
   38       { LC_TIME=C; export LC_TIME; }
   39 (set +x; test -n "`(LC_CTYPE=C; export LC_CTYPE) 2>&1`") &&
   40     { $as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set; } ||
   41       { LC_CTYPE=C; export LC_CTYPE; }
   42 (set +x; test -n "`(LANGUAGE=C; export LANGUAGE) 2>&1`") &&
   43     { $as_unset LANGUAGE || test "${LANGUAGE+set}" != set; } ||
   44       { LANGUAGE=C; export LANGUAGE; }
   45 (set +x; test -n "`(LC_COLLATE=C; export LC_COLLATE) 2>&1`") &&
   46     { $as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set; } ||
   47       { LC_COLLATE=C; export LC_COLLATE; }
   48 (set +x; test -n "`(LC_NUMERIC=C; export LC_NUMERIC) 2>&1`") &&
   49     { $as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set; } ||
   50       { LC_NUMERIC=C; export LC_NUMERIC; }
   51 (set +x; test -n "`(LC_MESSAGES=C; export LC_MESSAGES) 2>&1`") &&
   52     { $as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set; } ||
   53       { LC_MESSAGES=C; export LC_MESSAGES; }
   54 
   55 
   56 # Name of the executable.
   57 as_me=`(basename "$0") 2>/dev/null ||
   58 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
   59 	 X"$0" : 'X\(//\)$' \| \
   60 	 X"$0" : 'X\(/\)$' \| \
   61 	 .     : '\(.\)' 2>/dev/null ||
   62 echo X/"$0" |
   63     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
   64   	  /^X\/\(\/\/\)$/{ s//\1/; q; }
   65   	  /^X\/\(\/\).*/{ s//\1/; q; }
   66   	  s/.*/./; q'`
   67 
   68 # PATH needs CR, and LINENO needs CR and PATH.
   69 # Avoid depending upon Character Ranges.
   70 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
   71 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
   72 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
   73 as_cr_digits='0123456789'
   74 as_cr_alnum=$as_cr_Letters$as_cr_digits
   75 
   76 # The user is always right.
   77 if test "${PATH_SEPARATOR+set}" != set; then
   78   echo "#! /bin/sh" >conftest.sh
   79   echo  "exit 0"   >>conftest.sh
   80   chmod +x conftest.sh
   81   if (PATH=".;."; conftest.sh) >/dev/null 2>&1; then
   82     PATH_SEPARATOR=';'
   83   else
   84     PATH_SEPARATOR=:
   85   fi
   86   rm -f conftest.sh
   87 fi
   88 
   89 
   90   as_lineno_1=$LINENO
   91   as_lineno_2=$LINENO
   92   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
   93   test "x$as_lineno_1" != "x$as_lineno_2" &&
   94   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
   95   # Find who we are.  Look in the path if we contain no path at all
   96   # relative or not.
   97   case $0 in
   98     *[\\/]* ) as_myself=$0 ;;
   99     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  100 for as_dir in $PATH
  101 do
  102   IFS=$as_save_IFS
  103   test -z "$as_dir" && as_dir=.
  104   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  105 done
  106 
  107        ;;
  108   esac
  109   # We did not find ourselves, most probably we were run as `sh COMMAND'
  110   # in which case we are not to be found in the path.
  111   if test "x$as_myself" = x; then
  112     as_myself=$0
  113   fi
  114   if test ! -f "$as_myself"; then
  115     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
  116 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
  117    { (exit 1); exit 1; }; }
  118   fi
  119   case $CONFIG_SHELL in
  120   '')
  121     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  122 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
  123 do
  124   IFS=$as_save_IFS
  125   test -z "$as_dir" && as_dir=.
  126   for as_base in sh bash ksh sh5; do
  127 	 case $as_dir in
  128 	 /*)
  129 	   if ("$as_dir/$as_base" -c '
  130   as_lineno_1=$LINENO
  131   as_lineno_2=$LINENO
  132   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  133   test "x$as_lineno_1" != "x$as_lineno_2" &&
  134   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
  135 	     CONFIG_SHELL=$as_dir/$as_base
  136 	     export CONFIG_SHELL
  137 	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
  138 	   fi;;
  139 	 esac
  140        done
  141 done
  142 ;;
  143   esac
  144 
  145   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  146   # uniformly replaced by the line number.  The first 'sed' inserts a
  147   # line-number line before each line; the second 'sed' does the real
  148   # work.  The second script uses 'N' to pair each line-number line
  149   # with the numbered line, and appends trailing '-' during
  150   # substitution so that $LINENO is not a special case at line end.
  151   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  152   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
  153   sed '=' <$as_myself |
  154     sed '
  155       N
  156       s,$,-,
  157       : loop
  158       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
  159       t loop
  160       s,-$,,
  161       s,^['$as_cr_digits']*\n,,
  162     ' >$as_me.lineno &&
  163   chmod +x $as_me.lineno ||
  164     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
  165 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
  166    { (exit 1); exit 1; }; }
  167 
  168   # Don't try to exec as it changes $[0], causing all sort of problems
  169   # (the dirname of $[0] is not the place where we might find the
  170   # original and so on.  Autoconf is especially sensible to this).
  171   . ./$as_me.lineno
  172   # Exit status is that of the last command.
  173   exit
  174 }
  175 
  176 
  177 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
  178   *c*,-n*) ECHO_N= ECHO_C='
  179 ' ECHO_T='	' ;;
  180   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
  181   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
  182 esac
  183 
  184 if expr a : '\(a\)' >/dev/null 2>&1; then
  185   as_expr=expr
  186 else
  187   as_expr=false
  188 fi
  189 
  190 rm -f conf$$ conf$$.exe conf$$.file
  191 echo >conf$$.file
  192 if ln -s conf$$.file conf$$ 2>/dev/null; then
  193   # We could just check for DJGPP; but this test a) works b) is more generic
  194   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  195   if test -f conf$$.exe; then
  196     # Don't use ln at all; we don't have any links
  197     as_ln_s='cp -p'
  198   else
  199     as_ln_s='ln -s'
  200   fi
  201 elif ln conf$$.file conf$$ 2>/dev/null; then
  202   as_ln_s=ln
  203 else
  204   as_ln_s='cp -p'
  205 fi
  206 rm -f conf$$ conf$$.exe conf$$.file
  207 
  208 as_executable_p="test -f"
  209 
  210 # Sed expression to map a string onto a valid CPP name.
  211 as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
  212 
  213 # Sed expression to map a string onto a valid variable name.
  214 as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
  215 
  216 
  217 # IFS
  218 # We need space, tab and new line, in precisely that order.
  219 as_nl='
  220 '
  221 IFS=" 	$as_nl"
  222 
  223 # CDPATH.
  224 $as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=$PATH_SEPARATOR; export CDPATH; }
  225 
  226 exec 6>&1
  227 
  228 # Open the log real soon, to keep \$[0] and so on meaningful, and to
  229 # report actual input values of CONFIG_FILES etc. instead of their
  230 # values after options handling.  Logging --version etc. is OK.
  231 exec 5>>config.log
  232 {
  233   echo
  234   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
  235 ## Running $as_me. ##
  236 _ASBOX
  237 } >&5
  238 cat >&5 <<_CSEOF
  239 
  240 This file was extended by $as_me, which was
  241 generated by GNU Autoconf 2.53.  Invocation command line was
  242 
  243   CONFIG_FILES    = $CONFIG_FILES
  244   CONFIG_HEADERS  = $CONFIG_HEADERS
  245   CONFIG_LINKS    = $CONFIG_LINKS
  246   CONFIG_COMMANDS = $CONFIG_COMMANDS
  247   $ $0 $@
  248 
  249 _CSEOF
  250 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
  251 echo >&5
  252 config_files=" Makefile library/Makefile pms/Makefile pms_passwd/Makefile pms_export/Makefile pms_export/modules/Rules.make pms_import/Makefile pms_import/modules/Rules.make"
  253 
  254 ac_cs_usage="\
  255 \`$as_me' instantiates files from templates according to the
  256 current configuration.
  257 
  258 Usage: $0 [OPTIONS] [FILE]...
  259 
  260   -h, --help       print this help, then exit
  261   -V, --version    print version number, then exit
  262   -d, --debug      don't remove temporary files
  263       --recheck    update $as_me by reconfiguring in the same conditions
  264   --file=FILE[:TEMPLATE]
  265                    instantiate the configuration file FILE
  266 
  267 Configuration files:
  268 $config_files
  269 
  270 Report bugs to <bug-autoconf@gnu.org>."
  271 ac_cs_version="\
  272 config.status
  273 configured by ./configure, generated by GNU Autoconf 2.53,
  274   with options \"\"
  275 
  276 Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
  277 Free Software Foundation, Inc.
  278 This config.status script is free software; the Free Software Foundation
  279 gives unlimited permission to copy, distribute and modify it."
  280 srcdir=.
  281 INSTALL="/usr/bin/install -c"
  282 # If no file are specified by the user, then we need to provide default
  283 # value.  By we need to know if files were specified by the user.
  284 ac_need_defaults=:
  285 while test $# != 0
  286 do
  287   case $1 in
  288   --*=*)
  289     ac_option=`expr "x$1" : 'x\([^=]*\)='`
  290     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
  291     shift
  292     set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
  293     shift
  294     ;;
  295   -*);;
  296   *) # This is not an option, so the user has probably given explicit
  297      # arguments.
  298      ac_need_defaults=false;;
  299   esac
  300 
  301   case $1 in
  302   # Handling of the options.
  303   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  304     echo "running /bin/sh ./configure "  " --no-create --no-recursion"
  305     exec /bin/sh ./configure  --no-create --no-recursion ;;
  306   --version | --vers* | -V )
  307     echo "$ac_cs_version"; exit 0 ;;
  308   --he | --h)
  309     # Conflict between --help and --header
  310     { { echo "$as_me:$LINENO: error: ambiguous option: $1
  311 Try \`$0 --help' for more information." >&5
  312 echo "$as_me: error: ambiguous option: $1
  313 Try \`$0 --help' for more information." >&2;}
  314    { (exit 1); exit 1; }; };;
  315   --help | --hel | -h )
  316     echo "$ac_cs_usage"; exit 0 ;;
  317   --debug | --d* | -d )
  318     debug=: ;;
  319   --file | --fil | --fi | --f )
  320     shift
  321     CONFIG_FILES="$CONFIG_FILES $1"
  322     ac_need_defaults=false;;
  323   --header | --heade | --head | --hea )
  324     shift
  325     CONFIG_HEADERS="$CONFIG_HEADERS $1"
  326     ac_need_defaults=false;;
  327 
  328   # This is an error.
  329   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
  330 Try \`$0 --help' for more information." >&5
  331 echo "$as_me: error: unrecognized option: $1
  332 Try \`$0 --help' for more information." >&2;}
  333    { (exit 1); exit 1; }; } ;;
  334 
  335   *) ac_config_targets="$ac_config_targets $1" ;;
  336 
  337   esac
  338   shift
  339 done
  340 
  341 for ac_config_target in $ac_config_targets
  342 do
  343   case "$ac_config_target" in
  344   # Handling of arguments.
  345   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  346   "library/Makefile" ) CONFIG_FILES="$CONFIG_FILES library/Makefile" ;;
  347   "pms/Makefile" ) CONFIG_FILES="$CONFIG_FILES pms/Makefile" ;;
  348   "pms_passwd/Makefile" ) CONFIG_FILES="$CONFIG_FILES pms_passwd/Makefile" ;;
  349   "pms_export/Makefile" ) CONFIG_FILES="$CONFIG_FILES pms_export/Makefile" ;;
  350   "pms_export/modules/Rules.make" ) CONFIG_FILES="$CONFIG_FILES pms_export/modules/Rules.make" ;;
  351   "pms_import/Makefile" ) CONFIG_FILES="$CONFIG_FILES pms_import/Makefile" ;;
  352   "pms_import/modules/Rules.make" ) CONFIG_FILES="$CONFIG_FILES pms_import/modules/Rules.make" ;;
  353   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
  354 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
  355    { (exit 1); exit 1; }; };;
  356   esac
  357 done
  358 
  359 # If the user did not use the arguments to specify the items to instantiate,
  360 # then the envvar interface is used.  Set only those that are not.
  361 # We use the long form for the default assignment because of an extremely
  362 # bizarre bug on SunOS 4.1.3.
  363 if $ac_need_defaults; then
  364   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  365 fi
  366 
  367 # Create a temporary directory, and hook for its removal unless debugging.
  368 $debug ||
  369 {
  370   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  371   trap '{ (exit 1); exit 1; }' 1 2 13 15
  372 }
  373 
  374 # Create a (secure) tmp directory for tmp files.
  375 : ${TMPDIR=/tmp}
  376 {
  377   tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
  378   test -n "$tmp" && test -d "$tmp"
  379 }  ||
  380 {
  381   tmp=$TMPDIR/cs$$-$RANDOM
  382   (umask 077 && mkdir $tmp)
  383 } ||
  384 {
  385    echo "$me: cannot create a temporary directory in $TMPDIR" >&2
  386    { (exit 1); exit 1; }
  387 }
  388 
  389 
  390 #
  391 # CONFIG_FILES section.
  392 #
  393 
  394 # No need to generate the scripts if there are no CONFIG_FILES.
  395 # This happens for instance when ./config.status config.h
  396 if test -n "$CONFIG_FILES"; then
  397   # Protect against being on the right side of a sed subst in config.status.
  398   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
  399    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
  400 s,@SHELL@,/bin/sh,;t t
  401 s,@PATH_SEPARATOR@,:,;t t
  402 s,@PACKAGE_NAME@,,;t t
  403 s,@PACKAGE_TARNAME@,,;t t
  404 s,@PACKAGE_VERSION@,,;t t
  405 s,@PACKAGE_STRING@,,;t t
  406 s,@PACKAGE_BUGREPORT@,,;t t
  407 s,@exec_prefix@,${prefix},;t t
  408 s,@prefix@,/usr/local,;t t
  409 s,@program_transform_name@,s,x,x,,;t t
  410 s,@bindir@,${exec_prefix}/bin,;t t
  411 s,@sbindir@,${exec_prefix}/sbin,;t t
  412 s,@libexecdir@,${exec_prefix}/libexec,;t t
  413 s,@datadir@,${prefix}/share,;t t
  414 s,@sysconfdir@,${prefix}/etc,;t t
  415 s,@sharedstatedir@,${prefix}/com,;t t
  416 s,@localstatedir@,${prefix}/var,;t t
  417 s,@libdir@,${exec_prefix}/lib,;t t
  418 s,@includedir@,${prefix}/include,;t t
  419 s,@oldincludedir@,/usr/include,;t t
  420 s,@infodir@,${prefix}/info,;t t
  421 s,@mandir@,${prefix}/man,;t t
  422 s,@build_alias@,,;t t
  423 s,@host_alias@,,;t t
  424 s,@target_alias@,,;t t
  425 s,@DEFS@,-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DHAVE_STDIO_H=1 -DHAVE_STDLIB_H=1 -DHAVE_LIBNCURSES=1 -DHAVE_LIBM=1 -DHAVE_LIBCDK=1 ,;t t
  426 s,@ECHO_C@,,;t t
  427 s,@ECHO_N@,-n,;t t
  428 s,@ECHO_T@,,;t t
  429 s,@LIBS@,-lcdk -lm -lncurses ,;t t
  430 s,@CC@,gcc,;t t
  431 s,@CFLAGS@,-g -O2,;t t
  432 s,@LDFLAGS@,,;t t
  433 s,@CPPFLAGS@,,;t t
  434 s,@ac_ct_CC@,gcc,;t t
  435 s,@EXEEXT@,,;t t
  436 s,@OBJEXT@,o,;t t
  437 s,@INSTALL_PROGRAM@,${INSTALL},;t t
  438 s,@INSTALL_SCRIPT@,${INSTALL},;t t
  439 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
  440 s,@MAKE@,make,;t t
  441 s,@ac_ct_MAKE@,make,;t t
  442 s,@STRIP@,strip,;t t
  443 s,@ac_ct_STRIP@,strip,;t t
  444 s,@AR@,ar,;t t
  445 s,@ac_ct_AR@,ar,;t t
  446 CEOF
  447 
  448   # Split the substitutions into bite-sized pieces for seds with
  449   # small command number limits, like on Digital OSF/1 and HP-UX.
  450   ac_max_sed_lines=48
  451   ac_sed_frag=1 # Number of current file.
  452   ac_beg=1 # First line for current file.
  453   ac_end=$ac_max_sed_lines # Line after last line for current file.
  454   ac_more_lines=:
  455   ac_sed_cmds=
  456   while $ac_more_lines; do
  457     if test $ac_beg -gt 1; then
  458       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  459     else
  460       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  461     fi
  462     if test ! -s $tmp/subs.frag; then
  463       ac_more_lines=false
  464     else
  465       # The purpose of the label and of the branching condition is to
  466       # speed up the sed processing (if there are no `@' at all, there
  467       # is no need to browse any of the substitutions).
  468       # These are the two extra sed commands mentioned above.
  469       (echo ':t
  470   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
  471       if test -z "$ac_sed_cmds"; then
  472   	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
  473       else
  474   	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
  475       fi
  476       ac_sed_frag=`expr $ac_sed_frag + 1`
  477       ac_beg=$ac_end
  478       ac_end=`expr $ac_end + $ac_max_sed_lines`
  479     fi
  480   done
  481   if test -z "$ac_sed_cmds"; then
  482     ac_sed_cmds=cat
  483   fi
  484 fi # test -n "$CONFIG_FILES"
  485 
  486 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
  487   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  488   case $ac_file in
  489   - | *:- | *:-:* ) # input from stdin
  490         cat >$tmp/stdin
  491         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  492         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  493   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  494         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  495   * )   ac_file_in=$ac_file.in ;;
  496   esac
  497 
  498   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
  499   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  500 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  501          X"$ac_file" : 'X\(//\)[^/]' \| \
  502          X"$ac_file" : 'X\(//\)$' \| \
  503          X"$ac_file" : 'X\(/\)' \| \
  504          .     : '\(.\)' 2>/dev/null ||
  505 echo X"$ac_file" |
  506     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  507   	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  508   	  /^X\(\/\/\)$/{ s//\1/; q; }
  509   	  /^X\(\/\).*/{ s//\1/; q; }
  510   	  s/.*/./; q'`
  511   { case "$ac_dir" in
  512   [\\/]* | ?:[\\/]* ) as_incr_dir=;;
  513   *)                      as_incr_dir=.;;
  514 esac
  515 as_dummy="$ac_dir"
  516 for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
  517   case $as_mkdir_dir in
  518     # Skip DOS drivespec
  519     ?:) as_incr_dir=$as_mkdir_dir ;;
  520     *)
  521       as_incr_dir=$as_incr_dir/$as_mkdir_dir
  522       test -d "$as_incr_dir" ||
  523         mkdir "$as_incr_dir" ||
  524 	{ { echo "$as_me:$LINENO: error: cannot create \"$ac_dir\"" >&5
  525 echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
  526    { (exit 1); exit 1; }; }
  527     ;;
  528   esac
  529 done; }
  530 
  531   ac_builddir=.
  532 
  533 if test "$ac_dir" != .; then
  534   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  535   # A "../" for each directory in $ac_dir_suffix.
  536   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
  537 else
  538   ac_dir_suffix= ac_top_builddir=
  539 fi
  540 
  541 case $srcdir in
  542   .)  # No --srcdir option.  We are building in place.
  543     ac_srcdir=.
  544     if test -z "$ac_top_builddir"; then
  545        ac_top_srcdir=.
  546     else
  547        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
  548     fi ;;
  549   [\\/]* | ?:[\\/]* )  # Absolute path.
  550     ac_srcdir=$srcdir$ac_dir_suffix;
  551     ac_top_srcdir=$srcdir ;;
  552   *) # Relative path.
  553     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
  554     ac_top_srcdir=$ac_top_builddir$srcdir ;;
  555 esac
  556 # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
  557 # absolute.
  558 ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
  559 ac_abs_top_builddir=`cd "$ac_dir" && cd $ac_top_builddir && pwd`
  560 ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
  561 ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
  562 
  563 
  564   case $INSTALL in
  565   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  566   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
  567   esac
  568 
  569   if test x"$ac_file" != x-; then
  570     { echo "$as_me:$LINENO: creating $ac_file" >&5
  571 echo "$as_me: creating $ac_file" >&6;}
  572     rm -f "$ac_file"
  573   fi
  574   # Let's still pretend it is `configure' which instantiates (i.e., don't
  575   # use $as_me), people would be surprised to read:
  576   #    /* config.h.  Generated by config.status.  */
  577   if test x"$ac_file" = x-; then
  578     configure_input=
  579   else
  580     configure_input="$ac_file.  "
  581   fi
  582   configure_input=$configure_input"Generated from `echo $ac_file_in |
  583                                      sed 's,.*/,,'` by configure."
  584 
  585   # First look for the input files in the build tree, otherwise in the
  586   # src tree.
  587   ac_file_inputs=`IFS=:
  588     for f in $ac_file_in; do
  589       case $f in
  590       -) echo $tmp/stdin ;;
  591       [\\/$]*)
  592          # Absolute (can't be DOS-style, as IFS=:)
  593          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  594 echo "$as_me: error: cannot find input file: $f" >&2;}
  595    { (exit 1); exit 1; }; }
  596          echo $f;;
  597       *) # Relative
  598          if test -f "$f"; then
  599            # Build tree
  600            echo $f
  601          elif test -f "$srcdir/$f"; then
  602            # Source tree
  603            echo $srcdir/$f
  604          else
  605            # /dev/null tree
  606            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  607 echo "$as_me: error: cannot find input file: $f" >&2;}
  608    { (exit 1); exit 1; }; }
  609          fi;;
  610       esac
  611     done` || { (exit 1); exit 1; }
  612   sed "/^[ 	]*VPATH[ 	]*=/{
  613 s/:*\$(srcdir):*/:/;
  614 s/:*\${srcdir}:*/:/;
  615 s/:*@srcdir@:*/:/;
  616 s/^\([^=]*=[ 	]*\):*/\1/;
  617 s/:*$//;
  618 s/^[^=]*=[ 	]*$//;
  619 }
  620 
  621 :t
  622 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  623 s,@configure_input@,$configure_input,;t t
  624 s,@srcdir@,$ac_srcdir,;t t
  625 s,@abs_srcdir@,$ac_abs_srcdir,;t t
  626 s,@top_srcdir@,$ac_top_srcdir,;t t
  627 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
  628 s,@builddir@,$ac_builddir,;t t
  629 s,@abs_builddir@,$ac_abs_builddir,;t t
  630 s,@top_builddir@,$ac_top_builddir,;t t
  631 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
  632 s,@INSTALL@,$ac_INSTALL,;t t
  633 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
  634   rm -f $tmp/stdin
  635   if test x"$ac_file" != x-; then
  636     mv $tmp/out $ac_file
  637   else
  638     cat $tmp/out
  639     rm -f $tmp/out
  640   fi
  641 
  642 done
  643 
  644 { (exit 0); exit 0; }